Loading...
Searching...
No Matches
RDKit::ScaffoldNetwork::ScaffoldNetwork Struct Reference

`#include <ScaffoldNetwork.h>`

## Public Member Functions

| ScaffoldNetwork ()

## Public Attributes

std::vector< std::string > | nodes
| SMILES for the scaffolds.
std::vector< unsigned > | counts
| number of times each scaffold was encountered
std::vector< unsigned > | molCounts
| number of molecules each scaffold was found in
std::vector< NetworkEdge > | edges
| edges in the network

## Detailed Description

Definition at line 101 of file ScaffoldNetwork.h.

## Constructor & Destructor Documentation

## ScaffoldNetwork()

RDKit::ScaffoldNetwork::ScaffoldNetwork::ScaffoldNetwork | ( |  | ) |

inline

Definition at line 108 of file ScaffoldNetwork.h.

## Member Data Documentation

## counts

std::vector<unsigned> RDKit::ScaffoldNetwork::ScaffoldNetwork::counts

number of times each scaffold was encountered

Definition at line 104 of file ScaffoldNetwork.h.

## edges

std::vector<NetworkEdge> RDKit::ScaffoldNetwork::ScaffoldNetwork::edges

edges in the network

Definition at line 107 of file ScaffoldNetwork.h.

## molCounts

std::vector<unsigned> RDKit::ScaffoldNetwork::ScaffoldNetwork::molCounts

number of molecules each scaffold was found in

Definition at line 106 of file ScaffoldNetwork.h.

## nodes

std::vector<std::string> RDKit::ScaffoldNetwork::ScaffoldNetwork::nodes

SMILES for the scaffolds.

Definition at line 102 of file ScaffoldNetwork.h.

The documentation for this struct was generated from the following file:

- ScaffoldNetwork.h